#include "cnc_text.h"

/* Place a new floater for an existing attribute, by attr key */
csch_text_t *csch_auto_attr_place(csch_sheet_t *sheet, csch_cgrp_t *grp, const char *key, const char *stroke, const char *atempl);

/* Create a new attribute and place a dyntext-floater for it if stroke is not NULL */
void csch_auto_attr_create(csch_sheet_t *sheet, csch_cgrp_t *grp, const char *key, const char *val, const char *stroke, const char *atempl);

/* Apply conventional side effects of role on grp: create attributes, rename pens */
void csch_cgrp_role_side_effects(csch_sheet_t *sheet, csch_cgrp_t *grp, csch_role_t role);

/* Calls csch_cobj_update_dsply() recursively */
void csch_cgrp_update_dsply_recurse(csch_sheet_t *sheet, csch_cgrp_t *grp);

