#ifndef SCH_RND_SEARCH_H
#define SCH_RND_SEARCH_H

#include <libcschem/config.h>
#include <librnd/core/grid.h>
#include <libcschem/concrete.h>


#define CSCH_SLOP_ 5
#define csch_slop (CSCH_SLOP_ * P2C(rnd_pixel_slop))

/* Return the preferred visible object at x;y or NULL if nothing found */
csch_chdr_t *csch_search_obj_at(csch_sheet_t *sheet, csch_coord_t x, csch_coord_t y, csch_coord_t radius);

/* Append all visible objects that has a bbox intersecting with box to res */
void csch_search_obj_box(csch_sheet_t *sheet, vtp0_t *res, csch_rtree_box_t *box);



#endif
